Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1040590 - RHEVM SETUP REMOTE_DB: postgresProvisioning remains none in answer file
Summary: RHEVM SETUP REMOTE_DB: postgresProvisioning remains none in answer file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.4.0
Assignee: Ofer Schreiber
QA Contact: sefi litmanovich
URL:
Whiteboard: integration
Depends On:
Blocks: 1059358 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-11 16:36 UTC by sefi litmanovich
Modified: 2014-09-18 12:24 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.4.0-beta2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1059358 (view as bug list)
Environment:
Last Closed: 2014-06-12 14:04:23 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23832 None None None Never
oVirt gerrit 23854 None None None Never

Description sefi litmanovich 2013-12-11 16:36:55 UTC
Description of problem:

1) create remote database
2) engine-setup --generate-answers=answer_file
3) in setup choose remote db and supply the db's credentials

Actual results:

setup is successful.
answer file is created with the following value:

'OVESETUP_PROVISIONING/postgresProvisioningEnabled': 'none:None'

thus causing next setup with this answer file to invoke the question again:

 Where is the database located? (Local, Remote) [Local]:

Expected results:

setup is successful and created an answer file which will enable future unattended setup.

In order for that to happen I would expect one of two options:

1. additional new line in answer file which asks for answer local or remote.
2. answer file will set the following value:

'OVESETUP_PROVISIONING/postgresProvisioningEnabled': 'bool:False'

so that in future setup this answer will send setup to supplied DB credentials and create the db on the remote machine accordingly.


Additional info:

Comment 2 sefi litmanovich 2014-02-16 13:19:51 UTC
Verified on RHEL 6.5 ovirt-3.4.0-beta2

Comment 3 Itamar Heim 2014-06-12 14:04:23 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.